/*********************************************************
*Copyright (C), 2017, Shanghai Eastsoft Microelectronics Co., Ltd.
*文件名:  main.c
*作  者:  Liut
*版  本:  V1.00
*日  期:  2017/06/24
*描  述:  508主机从机通信demo，本程序为主机程序，负责发起写和读。从从机中读取8字节数据，然后发给从机。
          主机从机需要连接SCL（PA31）和SDA（PA30），并上拉。
*备  注:  适用于HRSDK-GDB-ES8P508x V1.0
          本软件仅供学习和演示使用，对用户直接引用代码所带来的风险或后果不承担任何法律责任。
**********************************************************/

#include <string.h>
#include "iic.h"
#include "systick.h"

int main()
{
    uint8_t wbuf[8];
    uint8_t rbuf[8] ;

    PLLClock_Config(ENABLE, SCU_PLL_HRC, SCU_PLL_48M, ENABLE);    /* PLL使能，倍频到48MHz */
    SystemCoreClock = 48000000;
    SystemClockConfig();                                                //配置时钟
    DeviceClockAllEnable();                                             //打开所有外设时钟
    IICMasterInit();

    SysTickInit();

    while (1)
    {
        IICReadBuf(SLAVE_ADDR, rbuf, 8);
        Delay1ms(2000);
        memcpy(wbuf, rbuf, 8);
        IICWriteBuf(SLAVE_ADDR, wbuf, 8);
        Delay1ms(2000);
    }

}
